Summary: General purpose buffer program
Name: buffer
Version: 1.19
Release: %mkrel 16
License: GPL+
Group: Archiving/Backup
Source: %name-%version.tar.bz2
Patch0: buffer_1.19-7.patch.bz2

%description
This is a program designed to speed up writing tapes on remote tape
drives. After startup it splits itself into two processes.  The first
process reads (and reblocks) from stdin into a shared memory buffer.
The second writes from the shared memory buffer to stdout.  Doing it this way
means that the writing side effectly sits in a tight write loop and
doesn't have to wait for input.  Similarly for the input side.  It is
this waiting that slows down other reblocking processes, like dd.

%prep
%autosetup -p1

%build
make CFLAGS="%{optflags} -Wall"

%install
install -m 755 -D buffer %{buildroot}%{_bindir}/buffer
install -m 644 -D buffer.man %{buildroot}%{_mandir}/man1/buffer.1

%files
%doc COPYING README
%{_bindir}/buffer
%{_mandir}/man1/buffer.1*


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 1.19-16.mga6
+ Revision: 953548
- Mageia 6 Mass Rebuild

  + wally <wally>
    - fix license

* Wed Sep 16 2015 tv <tv> 1.19-15.mga6
+ Revision: 879780
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 1.19-14.mga6
+ Revision: 874934
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.19-13.mga5
+ Revision: 741455
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.19-12.mga5
+ Revision: 678239
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.19-11.mga4
+ Revision: 503171
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.19-10.mga3
+ Revision: 347212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 pterjan <pterjan> 1.19-9.mga1
+ Revision: 93928
- Bump release higher than Mandriva

* Sat Feb 12 2011 bcornec <bcornec> 1.19-1.mga1
+ Revision: 50755
- No changelog needed
- Created package structure for buffer.

